Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Enumerations | Functions
newhope.h File Reference
`#include <botan/types.h>`

Go to the source code of this file.

## Classes
class | Botan::newhope_poly

## Namespaces
namespace | Botan

## Enumerations
enum class | Botan::Newhope_Mode { Botan::SHA3 , Botan::BoringSSL }
enum | Botan::Newhope_Params { Botan::NEWHOPE_SENDABYTES = 1824 , Botan::NEWHOPE_SENDBBYTES = 2048 , Botan::NEWHOPE_OFFER_BYTES = 1824 , Botan::NEWHOPE_ACCEPT_BYTES = 2048 , Botan::NEWHOPE_SHARED_KEY_BYTES = 32 , Botan::NEWHOPE_SEED_BYTES = 32 , Botan::NEWHOPE_POLY_BYTES = 1792 , Botan::CECPQ1_OFFER_BYTES = NEWHOPE_OFFER_BYTES + 32 , Botan::CECPQ1_ACCEPT_BYTES = NEWHOPE_ACCEPT_BYTES + 32 , Botan::CECPQ1_SHARED_KEY_BYTES = NEWHOPE_SHARED_KEY_BYTES + 32 }

## Functions
void | Botan::newhope_keygen (uint8_t send[NEWHOPE_SENDABYTES], newhope_poly *sk, RandomNumberGenerator &rng, Newhope_Mode=Newhope_Mode::SHA3)
void | Botan::newhope_shareda (uint8_t sharedkey[NEWHOPE_SHARED_KEY_BYTES], const newhope_poly *ska, const uint8_t *received, Newhope_Mode mode=Newhope_Mode::SHA3)
void | Botan::newhope_sharedb (uint8_t sharedkey[NEWHOPE_SHARED_KEY_BYTES], uint8_t send[], const uint8_t *received, RandomNumberGenerator &rng, Newhope_Mode mode=Newhope_Mode::SHA3)